angular.module('app')
    .controller('DnsController', ['$scope', '$state', 'DnsBusiness',
        function($scope, $state, DnsBusiness) {
            $scope.luTable = {
                columns: [
                    {
                        name: "Name",
                        width: 4,
                        getValue: function (item) {
                            return item.Name;
                        }
                    },
                    {
                        name: "Type",
                        width: 8,
                        getValue: function (item) {
                            return item.Type;
                        }
                    }
                ],

                canCheck: function()
                {
                    return true;
                },

                canClick: function(item)
                {
                    return true;
                },

                onItemClicked: function(item)
                {
                    console.log(item);
                },

                getLoadPagePromise: function (page, perPage, query, promise) {
                    return DnsBusiness.getAll({page: page, perPage: perPage, query: query}, promise);
                }
            };

            $scope.deleteSelected = function()
            {
                console.log($scope.luTable)
            };
    }]);
